<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Vorlage Krankenkasse (1.2.276.0.76.3.1.135.8.4.15 2019-07-18T15:18:47)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://fhir.hl7.de/ukfc" prefix="ukfc"/>
   <ns uri="urn:hl7-org:pharm" prefix="XXX"/>
   <ns uri="http://www.w3.org/1999/xhtml" prefix="xhtml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario eKHVO -->

   <!-- F02AKrankenhausbehandlung -->
   <pattern>
      <title>F02AKrankenhausbehandlung</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]"
                 see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html">(F02AKrankenhausbehandlung): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]</assert>
      </rule>
   </pattern>
   <include href="include/1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.sch"/>
   <include href="include/1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247"/>
      <active pattern="template-1.2.276.0.76.10.3103-2016-02-25T185555"/>
      <active pattern="template-1.2.276.0.76.10.4263-2016-02-25T190030"/>
      <active pattern="template-1.2.276.0.76.10.4264-2016-02-25T190754"/>
      <active pattern="template-1.2.276.0.76.10.4271-2017-12-01T140113"/>
      <active pattern="template-1.2.276.0.76.10.4272-2017-11-29T181727"/>
      <active pattern="template-1.2.276.0.76.10.4273-2017-11-29T144601"/>
      <active pattern="template-1.2.276.0.76.10.4275-2018-02-27T123511"/>
      <active pattern="template-1.2.276.0.76.10.4280-2018-03-08T173215"/>
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309"/>
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909"/>
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657"/>
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551"/>
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.124-2019-07-18T124052"/>
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543"/>
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211"/>
   </phase>
   <phase id="F02AKrankenhausbehandlung">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247"/>
   </phase>
   <phase id="F02AKrankenhausbehandlung-closed">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247-closed"/>
   </phase>
   <phase id="InsuranceSection">
      <active pattern="template-1.2.276.0.76.10.3103-2016-02-25T185555"/>
   </phase>
   <phase id="CoverageActivity">
      <active pattern="template-1.2.276.0.76.10.4263-2016-02-25T190030"/>
   </phase>
   <phase id="PolicyActivity">
      <active pattern="template-1.2.276.0.76.10.4264-2016-02-25T190754"/>
   </phase>
   <phase id="DMPObservation">
      <active pattern="template-1.2.276.0.76.10.4271-2017-12-01T140113"/>
   </phase>
   <phase id="eGKGeschlechtObservation">
      <active pattern="template-1.2.276.0.76.10.4272-2017-11-29T181727"/>
   </phase>
   <phase id="PersonGroupObservation">
      <active pattern="template-1.2.276.0.76.10.4273-2017-11-29T144601"/>
   </phase>
   <phase id="KVZuordnungObservation">
      <active pattern="template-1.2.276.0.76.10.4275-2018-02-27T123511"/>
   </phase>
   <phase id="weitereKennzeichenObservation">
      <active pattern="template-1.2.276.0.76.10.4280-2018-03-08T173215"/>
   </phase>
   <phase id="DiagnosisSection_2A">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309"/>
   </phase>
   <phase id="NaechsterreichbareGeeigneteKrankenhaeuser">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909"/>
   </phase>
   <phase id="F02AccidentObservation">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657"/>
   </phase>
   <phase id="F02AccidentSection">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551"/>
   </phase>
   <phase id="Krankenhausaufnahme">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.124-2019-07-18T124052"/>
   </phase>
   <phase id="DiagnosisObservation_02">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543"/>
   </phase>
   <phase id="AppropriateSuitableHospital_2A">
      <active pattern="template-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- InsuranceSection -->
   <include href="include/1.2.276.0.76.10.3103-2016-02-25T185555.sch"/>
   <!-- CoverageActivity -->
   <include href="include/1.2.276.0.76.10.4263-2016-02-25T190030.sch"/>
   <!-- PolicyActivity -->
   <include href="include/1.2.276.0.76.10.4264-2016-02-25T190754.sch"/>
   <!-- DMPObservation -->
   <include href="include/1.2.276.0.76.10.4271-2017-12-01T140113.sch"/>
   <!-- eGKGeschlechtObservation -->
   <include href="include/1.2.276.0.76.10.4272-2017-11-29T181727.sch"/>
   <!-- PersonGroupObservation -->
   <include href="include/1.2.276.0.76.10.4273-2017-11-29T144601.sch"/>
   <!-- KVZuordnungObservation -->
   <include href="include/1.2.276.0.76.10.4275-2018-02-27T123511.sch"/>
   <!-- weitereKennzeichenObservation -->
   <include href="include/1.2.276.0.76.10.4280-2018-03-08T173215.sch"/>
   <!-- DiagnosisSection_2A -->
   <include href="include/1.2.276.0.76.3.1.135.8.10.119-2019-07-18T095309.sch"/>
   <!-- NaechsterreichbareGeeigneteKrankenhaeuser -->
   <include href="include/1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.sch"/>
   <!-- F02AccidentObservation -->
   <include href="include/1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.sch"/>
   <!-- F02AccidentSection -->
   <include href="include/1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.sch"/>
   <!-- Krankenhausaufnahme -->
   <include href="include/1.2.276.0.76.3.1.135.8.10.124-2019-07-18T124052.sch"/>
   <!-- DiagnosisObservation_02 -->
   <include href="include/1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.sch"/>
   <!-- AppropriateSuitableHospital_2A -->
   <include href="include/1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.sch"/>

</schema>
